Package org.oasis_open.docs.ns.xri.xrd_1

# Class String

java.lang.Object
org.oasis_open.docs.ns.xri.xrd_1.String

Direct Known Subclasses:
  `PropertyType`, `TitleType`

public class String extends Object

Java class for string complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="string">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>string">
           <anyAttribute processContents='lax' namespace='##other'/>
         </extension>
       </simpleContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `String()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<QName,String>`
  `getOtherAttributes()`
  Gets a map that contains attributes that aren't bound to any typed property on this class.
  `String`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setValue(String value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### value

    protected String value

- ## Constructor Details

  - ### String

    public String()

- ## Method Details

  - ### getValue

    public String getValue()
    Gets the value of the value property.
    Returns:
      possible object is `String`

  - ### setValue

    public void setValue(String value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is `String`

  - ### getOtherAttributes

    public Map<QName,String> getOtherAttributes()
    Gets a map that contains attributes that aren't bound to any typed property on this class.

    the map is keyed by the name of the attribute and the value is the string value of the attribute. the map returned by this method is live, and you can add new attribute by updating the map directly. Because of this design, there's no setter.

    Returns:
      always non-null